/**
Theme Name: Concord Lamp and Shade
Author: FirstTracks Marketing
Author URI: https://firsttracksmarketing.com
Description: Custom child theme for Concord Lamp and Shade, based off Astra parent theme.
Version: 1.0.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: concord-lamp-and-shade
Template: astra
*/

button:focus, 
.menu-toggle:hover, 
button:hover, 
.ast-button:hover, 
.ast-custom-button:hover .button:hover, 
.ast-custom-button:hover, 
input[type=reset]:hover, 
input[type=reset]:focus, 
input#submit:hover, 
input#submit:focus, 
input[type="button"]:hover, 
input[type="button"]:focus, 
input[type="submit"]:hover, 
input[type="submit"]:focus {
    border-color: inherit;
}

/* Store Notice */
.woocommerce-store-notice, p.demo_store {
    line-height: 1.5;
}
.woocommerce-store-notice a, p.demo_store a {
    margin-left: 0.75em;
}


/* Above Nav */
.ast-above-header .ast-builder-html-element > p {
    font-size: 14px;
}

/* Nav */
.wc-block-product-search .wc-block-product-search__field {
    background-color: white;
    border-color: #E0E0E0;
    border-right: none;
	border-radius: 0;
    padding: 5px 16px;
}
.wc-block-product-search .wc-block-product-search__button {
    background-color: white;
    border-color: #E0E0E0;
    border-left: none;
    border-radius: 0;
    margin-left: 0;
	min-width: 50px;
	position: relative;
}


/* Megamenu */
.ast-builder-menu .main-header-menu.submenu-with-border .astra-megamenu {
    border: none;
}
.ast-desktop .ast-mega-menu-enabled .astra-megamenu-li .sub-menu .menu-link, .ast-desktop .ast-mega-menu-enabled.submenu-with-border .astra-megamenu-li .sub-menu .menu-link {
    line-height: 1.75;
}

.ast-desktop .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item.menu-item-has-children>.menu-link .sub-arrow {
	display: none;
}
.elementor-sub-item.elementor-item-active {
    background-color: transparent;
}


/* Add search icon and hide svg*/
/* .wc-block-product-search .wc-block-product-search__button svg {
	display: none;
}
.wc-block-product-search .wc-block-product-search__button:before {
    content: '\f002';
    display: block;
    font-family: "Font Awesome 5 Free";
	font-size: 18px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
} */


/* Search adjustments */
header .widget_search .search-form .search-field {
    border-color: #E0E0E0;
    background-color: white;
    padding: 8px 16px;
    min-width: 230px;
}
header .widget_search .search-form i {
    color: #241F20;
}
header .ast-icon.icon-search svg {
    height: 1.125em;
    width: 1.125em;
    margin-top: 0px;
    margin-right: 2px;
}

/* Cart icon adjustments */
.ast-site-header-cart .ast-icon svg {
    color: #241f20;
    position: relative;
    top: 2px;
}
/* .ast-site-header-cart .ast-icon {
    position: relative;
}
.ast-site-header-cart .ast-icon:before {
    content: '\f07a';
    display: block;
    font-family: "Font Awesome 5 Free";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.ast-site-header-cart .ast-icon svg {
    display: none;
} */


.elementor-shortcode .woocommerce ul.products li.product .astra-shop-thumbnail-wrap,
.woocommerce ul.products li.product .woocommerce-loop-product__link img, .woocommerce-page ul.products li.product .woocommerce-loop-product__link img {
    border: 1px solid #EEEEEE;
}

.ast-container .woocommerce ul.products:not(.elementor-grid) {
	grid-template-columns: repeat(4, minmax(0, 1fr));
}

@media (max-width: 1200px) {

	.ast-container .woocommerce ul.products:not(.elementor-grid) {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
	
}


/* Arrows → */
span.arrow-icon {
    font-family: system-ui;
    font-weight: bold;
}


/* Elementor general */
.elementor-widget:not(:last-child) {
    margin-bottom: 0 !important;
}

.button-inverse .elementor-button-wrapper .elementor-button {
    background-color: white;
    color: #d03d30;
}
.button-inverse .elementor-button-wrapper .elementor-button:hover {
    background-color: #d03d30;
    color: white;
}
.elementor-widget-wrap>.elementor-element.button-inline {
    display: inline-block;
    margin-right: 16px;
	margin-bottom: 16px !important;
    width: auto;
}


/* Footer */
footer .widget-title {
    font-size: 16px;
    font-weight: bold;
}

footer .textwidget, footer ul li {
    font-size: 14px;
}

footer .footer-widget-area.footer-widget-area-inner .widget a:hover {
    color: var(--ast-global-color-1);
}

.site-below-footer-wrap[data-section="section-below-footer-builder"] {
    border-color: #D9D9D9;
}

@media (min-width: 64em) {
	
	.ast-builder-grid-row-4-equal .ast-builder-grid-row {
    	grid-template-columns: 3fr repeat(3, 5fr);
		grid-column-gap: 80px;
	}
	
}


/* Headings */
@media (min-width: 64em) {
	
	.ast-single-post .entry-title, .page-title {
		font-size: 55px;
	}
	
}


/* Product categories grid */
.woocommerce ul.products li.product .woocommerce-loop-category__title {
    position: relative;
    top: 0;
    left: 0;
	border-bottom: 2px solid transparent;
    font-size: 18px;
    font-weight: 400;
    text-transform: none;
	transition: all 0.5s ease;
    width: fit-content;
}
.elementor-shortcode .woocommerce ul.products li.product .woocommerce-loop-category__title {
    left: 50%;
    transform: translateX(-50%);
}
.elementor-shortcode .woocommerce ul.products li.product .woocommerce-loop-category__title:hover {
    border-color: #241F20;
}
.elementor-shortcode .woocommerce ul.products li.product .woocommerce-loop-category__title:before {
    content: 'Shop';
}
.elementor-shortcode .woocommerce ul.products li.product .woocommerce-loop-category__title:after {
    content: '→';
    font-family: system-ui;
	font-weight: bold;
}

.woocommerce ul.products li.product .woocommerce-loop-category__title .count {
    display: none;
}


/* Product archive */

body.archive .woocommerce-products-header__title {
	font-size: 35px;
}

.subcategory-wrapper {
	border-bottom: 1px solid #e0e0e0;
	margin-bottom: 32px;
	padding-bottom: 24px;
}

.subcategory-wrapper ul {
	display: grid;
	gap: min(2.5vw, 16px);
	grid-auto-columns: min(calc(50% - 4px), 210px);
	grid-auto-flow: column;
	list-style: none;
	margin: 0;
	overflow-x: auto;
	overflow-y: hidden;
	padding: 0 0 0.5rem 0;
	scroll-padding: 20px;
	scroll-snap-type: x mandatory;
	user-select: none;
}

.subcategory-wrapper ul:active {
	cursor: grabbing;
}

.subcategory-wrapper ul::-webkit-scrollbar {
	height: 8px;
}

.subcategory-wrapper ul::-webkit-scrollbar-track {
	background: #f1f1f1;
	border-radius: 4px;
}

.subcategory-wrapper ul::-webkit-scrollbar-thumb {
	background: #c2c2c2;
	border-radius: 4px;
}

.subcategory-wrapper ul::-webkit-scrollbar-thumb:hover {
	background: #555;
}

.subcategory-wrapper .subcategory-name {
	display: block;
	font-size: 12px;
	line-height: 26px;
	text-align: center;
}

body.lampshade-category .ast-collapse-filter,
body.ready-to-ship-lampshades .ast-collapse-filter {
    display: none !important;
}

body.lampshade-category .ast-woocommerce-container > ul.products,
body.ready-to-ship-lampshades .ast-woocommerce-container > ul.products {
    width: 100% !important;
    float: none !important;
}

.ast-shop-toolbar-container {
	display: none !important;
}

.ast-collapse-filter .ast-filter-wrap,
.ast-collapse-filter {
	display: block !important;
}

.ast-collapse-filter {
	margin-top: 24px;
}

.prdctfltr_wc .prdctfltr_filter_title {
	display: flex !important;
	flex-direction: column-reverse;
}

.prdctfltr_showing {
	color: #757575;
}

.prdctfltr_showing::before {
	display: none;
}

.prdctfltr_wc .prdctfltr_filter_title a.prdctfltr_woocommerce_filter {
	display: none;
}

.prdctfltr_wc .prdctfltr_filter_title .prdctfltr_woocommerce_filter_title {
	background-color: var(--e-global-color-astglobalcolor1);
	border-radius: 4px;
	color: white;
	display: inline-block;
	margin-top: 1rem;
	padding: 10px 16px;
}

.astra-off-canvas-sidebar .ast-filter-wrap .widget, .ast-filter-wrap .ast-woo-sidebar-widget.widget {
    margin-bottom: 2em;
}
.ast-filter-wrap .widget>div h3.wc-block-price-filter__title {
    margin-bottom: 0.5rem;
}
.ast-filter-wrap .wc-block-components-price-slider__controls {
    margin-bottom: 0;
}

.astra-shop-filter-button {
    border: 1px solid #241F20;
    border-radius: 4px;
    padding: 10px 40px;
}

.woocommerce .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap .woocommerce-result-count {
    color: #757575;
    font-size: 14px;
}

@media (min-width: 768px) {

	.subcategory-wrapper {
		margin-bottom: 0;
		padding-bottom: 38px;
	}

	.subcategory-wrapper .subcategory-name {
		font-size: 14px;
		line-height: 20px;
		margin-top: 8px;
	}

	.ast-collapse-filter {
		display: block !important;
		float: left;
		margin-top: 2rem;
		width: 27%;
	}

	.ast-woocommerce-container > ul.products {
		clear: none !important;
		float: right;
		margin-top: 2rem;
		width: calc(73% - 2rem);
	}

	.woocommerce-pagination {
		clear: both;
		margin-top: 2rem;
		text-align: center;
	}
}

@media (min-width: 1400px) {

	.ast-collapse-filter {
		width: 22%;
	}

	.ast-woocommerce-container > ul.products {
		width: calc(78% - 3rem);
	}
}

/* .woocommerce-page .widget .wc-block-price-slider .wc-block-components-price-slider__controls {
    justify-content: start;
}
.wc-block-components-price-slider--is-input-inline .wc-block-components-price-slider__controls .wc-block-components-price-slider__amount {
    max-width: 100px;
}

.ast-filter-wrap .wp-block-woocommerce-product-categories > .wc-block-product-categories-list > li {
    padding-left: 0;
} */

.woocommerce .astra-off-canvas-sidebar-wrapper .close, .woocommerce-page .astra-off-canvas-sidebar-wrapper .close {
    top: 16px;
    right: 24px;
    color: #d03d30;
}
.astra-off-canvas-sidebar-wrapper .close svg {
    width: 24px;
    height: 24px;
}

.woocommerce .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar, .woocommerce-page .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar {
    padding-top: 48px;
}

.ast-filter-wrap .prdctfltr_wc_widget.prdctfltr_wc .prdctfltr_filter {
    margin-bottom: 10px;
}
.ast-filter-wrap .prdctfltr_wc_widget.prdctfltr_wc .prdctfltr_filter .widget-title {
    font-size: 18px;
    margin-bottom: 0;
}

.ast-filter-wrap .pf_rngstyle_thin .irs-from, .ast-filter-wrap .pf_rngstyle_thin .irs-to, .pf_rngstyle_thin .irs-single {
    background: #d03d30;
}

.woocommerce.archive .ast-shop-toolbar-container {
    align-items: flex-start;
}
.woocommerce.archive .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap:first-of-type {
    flex-direction: column-reverse;
    align-items: flex-start;
}
.woocommerce.archive .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap .astra-shop-filter-button {
    margin-bottom: 24px;
}

.woocommerce .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap form select {
    border: none;
    color: #241F20;
    margin-left: 20px;
}

.woocommerce ul.products li.product .astra-shop-summary-wrap, .woocommerce-page ul.products li.product .astra-shop-summary-wrap {
    padding: 0;
}

.term-description {
    margin-bottom: 3em;
    clear: both;
}


/* Hide filters on lampshade categories/subcategories */
body[class*="parent-12281"] .ast-shop-toolbar-container {
    display: none;
}


/* Progress bar */
.progress-bar {
    display: flex;
    justify-content: space-between;
	margin-bottom: 64px;
}
body:not([class*="parent-12281"]) .progress-bar {
	display: none;
}
.progress-bar > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 33%;
}
.progress-bar > div:last-of-type {
	margin-right: 0;
    width: auto;
}
.progress-status {
    display: flex;
    flex-direction: column;
    align-items: center;
	position: relative;
}
.progress-icon {
    background-color: #D9D9D9;
    border: 1px solid transparent;
    width: 16px;
    height: 16px;
    border-radius: 50%;
}
.progress-title {
    position: absolute;
    bottom: -28px;
    font-size: 12px;
    line-height: 1.6667;
}
.progress {
    width: 100%;
    height: 2px;
    background-color: #E0E0E0;
	margin: 0 4px;
}

@media (max-width: 1420px) {
	
	.type .progress-title {
    	left: 0;
	}
	.fabric .progress-title {
    	right: 0;
	}
	
}

/* Progress bar progress */
body.parent-12281-level-1 .type .progress-icon,
body.parent-12281-level-2 .shape .progress-icon,
body.parent-12281-level-3 .style .progress-icon,
body.parent-12281-level-4 .fabric .progress-icon {
    background-color: transparent;
    border-color: #241F20;
}
body.parent-12281-level-2 .type .progress-icon, 
body.parent-12281-level-3 .type .progress-icon, 
body.parent-12281-level-4 .type .progress-icon, 
body.parent-12281-level-3 .shape .progress-icon, 
body.parent-12281-level-4 .shape .progress-icon, 
body.parent-12281-level-4 .style .progress-icon { 
	background-color: #241F20;
    border-color: transparent;
}
.parent-12281-level-2 .type .progress,
.parent-12281-level-3 .type .progress,
.parent-12281-level-3 .shape .progress,
.parent-12281-level-4 .type .progress,
.parent-12281-level-4 .shape .progress,
.parent-12281-level-4 .style .progress {
    background-color: #241F20;
}


/* Product badges */
.wcpb-product-badges-badge.wcpb-product-badges-badge-top-left {
    margin: 0 !important;
}


/* Pagination */
.woocommerce.archive .woocommerce-pagination {
    border-bottom: 1px solid #E0E0E0;
    margin-bottom: 4em;
    padding-bottom: 3.5em;
}

.woocommerce nav.woocommerce-pagination ul li > .page-numbers.current {
    background: transparent;
    border: 1px solid #241f20;
    color: #241f20;
}
.woocommerce nav.woocommerce-pagination ul li, .woocommerce nav.woocommerce-pagination ul li > .page-numbers {
    border-color: transparent;
}
.woocommerce nav.woocommerce-pagination ul li > .page-numbers {
    min-width: 2em;
}
.woocommerce nav.woocommerce-pagination ul li > .next.page-numbers {
    font-family: system-ui;
}


/* Single Product */
.woocommerce.single-product div.product div.images img {
    border: 1px solid #E0E0E0;
}

.single-product-main .elementor-widget, .woocommerce div.product .single-product-main .product_title {
    margin-bottom: 0;
}

.woocommerce div.product p.ast-stock-detail {
    display: none;
}
.woocommerce.single-product div.product .single-product-category .product_meta>span.posted_in .detail-label, .woocommerce.single-product div.product .single-product-category .product_meta>span.sku_wrapper, .woocommerce.single-product div.product .single-product-category .product_meta>span.tagged_as {
    display: none;
}
.woocommerce.single-product div.product .single-product-sku .product_meta>span.posted_in, .woocommerce.single-product div.product .single-product-sku .product_meta>span.tagged_as {
    display: none;
}
.woocommerce.single-product div.product .single-product-sku .product_meta>span.sku_wrapper {
    color: #757575;
}

.woocommerce.single-product div.product .product_meta {
    border-top: none;
}

.woocommerce div.product form.cart .button.single_add_to_cart_button {
    border-color: #d03d30;
    font-weight: 400;
    line-height: 1.75;
    padding: 10px 32px;
    transition: all 0.5s ease;
}

/* Single product tabs */
.woocommerce.single-product div.product.elementor .woocommerce-tabs .panel {
    padding-top: 48px;
    padding-bottom: 0;
}

.woocommerce.single-product div.product.elementor ul.tabs, .woocommerce div.product.elementor .woocommerce-tabs .panel p {
    margin: 0 auto;
    max-width: 794px;
}
.woocommerce div.product.elementor .woocommerce-tabs .panel > * {
    font-size: 18px;
    line-height: 1.7778;
}

.woocommerce.single-product div.product.elementor .woocommerce-tabs ul.tabs li a {
    color: #241F20;
    font-weight: 400;
    line-height: 1.75 !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
    padding: 0.8em 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active::before {
    top: unset;
    bottom: 0;
    height: 2px;
}

/* Single product related products */
.woocommerce.single-product .elementor-widget-woocommerce-product-related {
    border-top: 1px solid #E0E0E0;
    padding: 64px 0;
}

.woocommerce.single-product .elementor-widget-woocommerce-product-related .related.products > h2 {
    margin-bottom: 48px;
}

.woocommerce.single-product .elementor-widget-woocommerce-product-related .related.products li h2 {
    font-size: 14px;
    line-height: 20px;
}

/* Single product add-ons */
.wc-pao-addon-image-swatch {
	margin-right: 0;
    outline: none;
}

@media (min-width: 64em) {
	
	.woocommerce.single-product .elementor-widget-woocommerce-product-related {
		padding: 64px 0 104px;
	}
	
	.woocommerce.single-product .elementor-widget-woocommerce-product-related .related.products > h2 {
    	font-size: 35px;
    	line-height: 46px;
	}
	
}

@media (max-width: 921px) {
	
	.woocommerce.tablet-rel-up-columns-3 ul.products {
    	grid-template-columns: repeat(2, minmax(0, 1fr));
	}
	
}


/* Cart */
.woocommerce-cart.ast-separate-container #primary {
    padding: 0;
}

.woocommerce-cart table.shop_table {
    padding: 24px;
}
.woocommerce-cart table.shop_table thead {
    background-color: transparent;
}
.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
    font-weight: 400;
}
.woocommerce-cart .woocommerce table.shop_table th {
    font-weight: normal;
}
.woocommerce-cart .cart-collaterals .cart_totals th {
	font-size: 14px;
	padding-left: 0;
}
.woocommerce-cart .cart-collaterals .cart_totals td {
	padding-left: 0;
	padding-right: 0;
}
.woocommerce-cart .woocommerce table.shop_table thead th {
    padding: 0 24px;
}
.woocommerce-cart table.shop_table td {
    border-top: none;
    font-size: 14px;
    line-height: 20px;
}
.woocommerce-cart .woocommerce table.shop_table thead th.product-thumbnail {
    /* display: none; */
}
.woocommerce-cart table.cart img {
    border: 1px solid #E0E0E0;
}
.woocommerce a.remove {
    opacity: 1;
}
.woocommerce a.remove .ahfb-svg-iconset {
    transform: scale(1);
}
.woocommerce a.remove:before {
	display: none;
}

.woocommerce-cart .cart-collaterals .cart_totals>h2 {
    background-color: transparent;
    border-bottom: none;
    font-size: 16px;
    font-weight: normal;
	margin-bottom: 0;
    padding: 24px;
}

.woocommerce-cart .cart-collaterals .cart_totals .shop_table {
    border-bottom: none;
}

.woocommerce-cart .wc-proceed-to-checkout {
    padding-bottom: 0;
}
.woocommerce-cart a.checkout-button {
    font-weight: 400;
}


@media screen and (min-width: 922px) {
	
	#ast-cart-wrapper .ast-cart-non-sticky {
		width: 66%;
	}
	#ast-cart-wrapper .cart-collaterals {
		margin-left: 16px;
		width: calc(34% - 16px);
	}
	
	.woocommerce-page #content table.cart td.product-thumbnail {
    	padding-left: 0;
	}
	.woocommerce-page #content table.cart td.product-remove {
    	padding-right: 0;
	}
	
	.woocommerce-page #content table.cart tr.cart_item td {
    	border-bottom: 1px solid #E0E0E0;
		padding-top: 16px;
		padding-bottom: 16px;
	}
	.woocommerce-page #content table.cart tr.cart_item:nth-last-of-type(2) td, .woocommerce-page #content table.cart tr.cart_item td.product-remove {
    	border-bottom: none;
	}
	
	.woocommerce-cart .cart-collaterals .cart_totals td {
		padding-left: 14px;
    	text-align: right;
	}
	
}


/* Checkout */
.woocommerce-checkout h1.entry-title {
    font-size: 35px;
}

.woocommerce-checkout.ast-separate-container #primary {
    padding: 0;
}

.woocommerce-checkout .woocommerce form .form-row, .woocommerce-checkout #payment div.payment_box .form-row {
    margin: 0 0 20px;
}
.woocommerce-page.woocommerce-checkout form .form-row:last-child, .woocommerce.woocommerce-checkout form .form-row:last-child {
    margin-bottom: 20px;
}
.woocommerce form .form-row-first, .woocommerce form .form-row-last, .woocommerce-page form .form-row-first, .woocommerce-page form .form-row-last {
    width: 49%;
}
.woocommerce form .form-row.notes textarea {
    height: auto;
}
.woocommerce-checkout .woocommerce form .form-row label {
    font-size: 14px;
	margin-bottom: 8px;
}

.woocommerce-checkout .woocommerce form #customer_details h3 {
	border: none;
	font-size: 23px;
    font-weight: normal;
	padding: 0;
}

.woocommerce-checkout #order_review_heading {
    display: none;
}

.woocommerce-page.woocommerce-checkout form #order_review {
    border: none !important;
    padding: 0 !important;
}
.woocommerce-checkout.woocommerce-page table.shop_table, .woocommerce-checkout.woocommerce-page .woocommerce-checkout-payment {
    border: 1px solid #E0E0E0 !important;
	font-size: 14px;
    line-height: 1.42857;
    padding: 24px;
}
.woocommerce-page.woocommerce-checkout form #order_review thead th, .woocommerce-checkout-payment label {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.75;
}

.woocommerce-page.woocommerce-checkout form #order_review tr.order-total th, .woocommerce-page.woocommerce-checkout form #order_review tr.order-total td {
    border-bottom: none;
    padding-bottom: 0;
}

.woocommerce-page.woocommerce-checkout #payment div.payment_box, .woocommerce.woocommerce-checkout #payment div.payment_box {
    background-color: transparent;
    border-top: 1px solid #E0E0E0;
    margin-bottom: 0;
    padding: 16px 0 0;
}
ul.payment_methods li div.sv-wc-payment-gateway-card-icons {
    margin-left: 12px;
}
.woocommerce.woocommerce-checkout #payment div.payment_box fieldset {
	background: transparent;
	border: none;
}
fieldset#wc-authorize-net-cim-credit-card-credit-card-form {
    border: none;
	padding: 0;
}
fieldset#wc-authorize-net-cim-credit-card-credit-card-form p {
    padding: 0;
}

.woocommerce-page.woocommerce-checkout #payment div.form-row, .woocommerce.woocommerce-checkout #payment div.form-row {
    margin-bottom: 0;
    padding: 0;
}
.woocommerce-page.woocommerce-checkout #payment #place_order, .woocommerce.woocommerce-checkout #payment #place_order {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.75;
	margin-bottom: 0;
    text-transform: capitalize;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before {
	display: none;
}

@media screen and (min-width: 922px) {
	
	.woocommerce-page.woocommerce-checkout form #customer_details.col2-set {
		width: 56%;
		margin-right: 4%;
	}
	.woocommerce-page.woocommerce-checkout form #order_review {
		width: 40%;
	}
	
	.woocommerce-checkout .woocommerce form #billing_city_field, .woocommerce-checkout .woocommerce form #billing_state_field, .woocommerce-checkout .woocommerce form #billing_postcode_field {
		width: calc(33.3333% - 11px);
		display: inline-block;
		vertical-align: top;
	}
	.woocommerce-checkout .woocommerce form #billing_city_field, .woocommerce-checkout .woocommerce form #billing_state_field {
    	margin-right: 16px;
	}
	.woocommerce-checkout .select2-container .select2-selection--single, .woocommerce-checkout select {
		line-height: 1;
		padding: 14px 12px;
	}
	
	ul.payment_methods li div.sv-wc-payment-gateway-card-icons {
    	float: right;
	}
	
}

@media (max-width: 544px) {
	
	.woocommerce-message, .woocommerce-error, .woocommerce-info {
    	justify-content: center;
    	padding-left: 28px;
	}
	
}


/* WC Notices */
.woocommerce-message, .woocommerce-info {
    border-top: none;
    text-align: center;
}
.woocommerce-message::before, .woocommerce-info::before {
	display: none;
}
.woocommerce-message a.showlogin, .woocommerce-info a.showlogin {
	border-bottom: 1px solid #241F20;
    transition: all 0.5s ease;
}
.woocommerce-message a.showlogin:hover, .woocommerce-info a.showlogin:hover {
    border-color: transparent;
}


/* WC Order Confirmation */
.woocommerce-order-received .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
    margin: 0;
    padding: 0;
    text-align: left;
}

.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details .woocommerce-order-details__title, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-customer-details .woocommerce-column__title {
    font-size: 23px;
    line-height: 28px;
    font-weight: 400;
}

.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table {
    border: 1px solid #E0E0E0;
    border-radius: 0;
    box-shadow: none;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table thead tr th {
    font-size: 16px;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table thead tr th:first-of-type, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tbody tr td:first-of-type, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tfoot tr th:first-of-type {
    padding-left: 0;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table thead tr th:last-of-type, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tbody tr td:last-of-type, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tfoot tr td:last-of-type {
    padding-right: 0;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tfoot tr:nth-last-child(1) > th, 
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tfoot tr:nth-last-child(1) > td {
    font-size: 14px;
    font-weight: 400;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table tfoot tr:nth-last-child(1) .amount {
	font-weight: 400;
}

@media (min-width: 1500px) {
	
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order {
    	max-width: none;
    	display: flex;
    	flex-wrap: wrap;
	}
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > * {
		width: 100%;
	}
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > p, 
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > ul {
    	width: 100%;
	}
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > section.woocommerce-order-details, 
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > section.woocommerce-customer-details {
    	width: 48%;
	}
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order > section.woocommerce-order-details {
    	margin-right: 4% !important;
	}
	
}


/* My Account */
.woocommerce-account.ast-separate-container #primary {
    padding: 0;
}

.woocommerce-account .entry-header {
    display: none;
}

.woocommerce-account .woocommerce-MyAccount-navigation {
    background-color: #F5F5F5;
    border-right: none;
    padding: 40px;
    margin-bottom: 40px;
}
.woocommerce-account .woocommerce-MyAccount-navigation .ast-wooaccount-user-wrapper {
    margin-bottom: 16px;
}
.woocommerce-account .woocommerce-MyAccount-navigation .ast-wooaccount-user-wrapper img {
    display: none;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul {
    background: transparent;
    border-top: 1px solid #D9D9D9;
	margin-bottom: 0;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
    padding: 24px 0 0;
	text-transform: capitalize;
}
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link + .woocommerce-MyAccount-navigation-link {
    border-top: none;
}
.woocommerce-MyAccount-navigation-link.is-active a {
    font-weight: bold;
}
.woocommerce-MyAccount-navigation ul li span.ahfb-svg-iconset, 
.woocommerce-MyAccount-navigation-link a:hover span.ahfb-svg-iconset, 
.woocommerce-MyAccount-navigation-link:after {
	display: none;
}

.woocommerce-account .ast-woo-grid-orders-container {
    grid-row-gap: 24px;
}
.ast-orders-table__row {
    border: 1px solid #E0E0E0;
    border-radius: 0;
    box-shadow: none;
	padding: 24px;
}

.woocommerce-account .ast-woo-grid-orders-container .ast-orders-table__cell {
	font-size: 14px;
    margin-left: 0;
}
.woocommerce-account .ast-woo-grid-orders-container .ast-orders-table__cell .ast-woo-order-date {
    font-size: 16px;
}

@media (min-width: 1351px) {
	
	.woocommerce-account .woocommerce-MyAccount-navigation {
    	width: 24%;
	}
	.woocommerce-account .woocommerce-MyAccount-content {
    	width: 72.6667%;
	}
	
	.woocommerce-account .woocommerce-MyAccount-navigation {
    	margin-bottom: 0;
	}
	
	.woocommerce-account .ast-woo-grid-orders-container .ast-orders-table__cell.ast-orders-table__cell-order-actions {
    	top: 50%;
    	transform: translateY(-50%);
	}
	
}

/* Account Login */
.woocommerce-account:not([class*="logged-in"]) .site-content {
    background-image: url(https://concordlampdev.wpengine.com/wp-content/themes/astra-child/images/living-room-with-hanging-lights.jpg);
    background-size: cover;
    background-position: center;
	position: relative;
}
/* .woocommerce-account .site-content:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.1);
} */
.woocommerce-account .site-content .ast-container {
    position: inherit;
}
.woocommerce-account article.page {
    background-color: transparent !important;
}

.woocommerce-account .entry-content .woocommerce {
    background-color: white;
    border: none;
}
.woocommerce-account .entry-content .woocommerce h2 {
    font-size: 35px;
    font-weight: 400;
    line-height: 46px;
    margin-bottom: 40px;
    text-align: left;
}
.woocommerce-account .entry-content .woocommerce form .form-row label {
    font-size: 14px;
    margin-bottom: 4px;
}

.woocommerce .woocommerce-form-login button.button.woocommerce-form-login__submit, .woocommerce .woocommerce-form-register button.button.woocommerce-form-register__submit {
    border: 1px solid #D03D30;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.75;
    text-transform: capitalize;
	transition: all 0.5s ease;
}
.woocommerce-form-login .ast-woo-account-form-link, .woocommerce-form-register .ast-woo-account-form-link {
    text-decoration: underline;
}


/* Search Results */
.search-results .elementor-posts-container .elementor-post__thumbnail {
    border: 1px solid #EEEEEE;
}

/* .search-results .elementor-posts .elementor-post__read-more {
    background-color: #d03d30;
	border: 1px solid #d03d30;
    border-radius: 4px;
    color: white;
	display: block;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.75;
	margin-top: 16px;
    padding: 10px 32px;
	text-align: center;
	transition: all 0.5s ease;
}
.search-results .elementor-posts .elementor-post__read-more:hover {
    background-color: white;
    color: #d03d30;
} */

.search-results .elementor-pagination {
    margin-top: 76px;
}
.search-results .page-numbers.prev, .search-results .page-numbers.next {
    font-family: system-ui;
}

.search-results .elementor-pagination .page-numbers {
    line-height: 1;
    margin: 0;
    min-width: 2em;
    padding: 0.75em;
	transition: all 0.5s ease;
}
.search-results .elementor-pagination .page-numbers:hover {
    background-color: #241f20;
    color: white;
}
.search-results .elementor-pagination .page-numbers.current {
    border: 1px solid #241f20;
}

@media (min-width: 1025px) {

	.search-results .elementor-posts-container > article {
    	flex-direction: row;
    	align-items: center;
	}
	
	.search-results .elementor-posts article.product .elementor-post__thumbnail__link {
    	width: 54% !important;
	}
	.search-results .elementor-posts article.product .elementor-post__text {
    	width: 46%;
    	margin-left: 64px;
	}
	
}


/* Blog Archive */
.cls-blog #primary {
    padding: 0;
}

.cls-blog .site-content .ast-container {
    display: block;
}

#cls-blog-top .entry-title {
    font-size: 55px;
    line-height: 1.2;
    margin: 64px 0 44px;
}

.cls-blog .site-main > .ast-row {
    display: flex;
    flex-wrap: wrap;
}

.cls-blog .post-content {
    display: flex;
    flex-direction: column;
}

.cls-blog.ast-separate-container .ast-article-post {
    border: none;
}
.cls-blog .post-categories a {
    color: #D03D30;
    font-size: 14px;
    line-height: 1.42857;
}
.cls-blog.blog .entry-title {
    font-size: 23px;
    line-height: 1.21739;
}
.cls-blog article .post-thumb {
    max-height: 390px;
    overflow: hidden;
}
.cls-blog article .entry-header .entry-meta, .cls-blog article .entry-content {
    display: none;
}

.cls-blog .ast-pagination {
    margin: 48px 0;
    padding: 0;
}
.cls-blog .ast-pagination .nav-links {
    display: flex;
    justify-content: flex-start;
}
.cls-blog .ast-pagination .page-numbers {
    width: 40px;
    height: 40px;
}
.cls-blog .ast-pagination .page-numbers, .cls-blog .ast-pagination .next.page-numbers > span, .cls-blog .ast-pagination .prev.page-numbers > span {
    transition: all 0.5s ease;
}
.cls-blog .ast-pagination .page-numbers:hover, .cls-blog .ast-pagination .next.page-numbers > span:hover, .cls-blog .ast-pagination .prev.page-numbers > span:hover {
    background-color: #241F20;
	color: white;
}
.cls-blog .ast-pagination .page-numbers.current {
    background-color: transparent;
    border: 1px solid #241F20;
    color: #241F20;
}
.cls-blog .ast-pagination .next.page-numbers, .cls-blog .ast-pagination .prev.page-numbers {
    font-size: 0;
}
.cls-blog .ast-pagination .next.page-numbers > span, .cls-blog .ast-pagination .prev.page-numbers > span {
	display: inline-block;
    font-size: 1.06666rem;
    line-height: calc(2.33333em - 3px);
    height: 40px;
    width: 40px;
}

.blog .post-categories {
	display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0 0 4px;
}
.blog .post-categories > li {
	line-height: 1.2857;
	margin-right: 8px;
}
.blog .post-categories > li:after {
    content: ',';
}
.blog .post-categories > li:last-child:after {
    content: none;
}

@media (min-width: 48em) {
	
	.cls-blog .site-main > .ast-row {
    	display: grid;
    	grid-template-columns: repeat(2, 1fr);
    	grid-gap: 64px 16px;
	}
	
}

@media (min-width: 64em) {
	
	.cls-blog .site-main > .ast-row {
    	grid-template-columns: repeat(3, 1fr);
	}
	
}

/* Filters */
#cls-blog-categories {
    font-size: 14px;
    white-space: nowrap;
    width: 100%;
    overflow-x: auto;
    margin-bottom: 2em;
}
#cls-blog-categories a {
    border: 1px solid #241F20;
    border-radius: 40px;
    display: inline-block;
    margin-right: 0.5em;
    padding: 3px 16px;
	transition: all 0.5s ease;
}
#cls-blog-categories a:hover {
    background-color: #241F20;
    color: white;
}
#cls-blog-categories .widget, #cls-blog-categories .widget nav, #cls-blog-categories .widget ul {
    display: inline;
	/* Eliminate blog category scrolling */
	white-space: initial;
}
#cls-blog-categories h2 {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    word-wrap: normal !important;
    display: inline;
}
#cls-blog-categories li {
    display: inline-block;
}
#cls-blog-categories a {
    display: inline-block;
    margin-right: 0.5em;
    margin-bottom: 0.5em;
}
.blog #cls-blog-categories > a {
    background-color: #241F20;
    color: white;
}

@media (min-width: 48em) {
	
	#cls-blog-categories a {
    	margin-right: 1em;
    	margin-bottom: 1em;
	}
	
}


/* Blog Single */
.single-post .ast-container {
    max-width: 794px;
}

.single.single-post .entry-header {
    display: none;
}

.single-post ul.post-categories {
    display: flex;
    justify-content: center;
    margin: 64px 0 24px;
}
.single-post ul.post-categories li {
	display: inline-block;
}
.single-post ul.post-categories li > a {
    border: 1px solid #241F20;
    border-radius: 40px;
    display: inline-block;
    margin-right: 0.5em;
    padding: 3px 16px;
	transition: all 0.5s ease;
}
.single-post ul.post-categories li > a:hover {
    background-color: #241F20;
    color: white;
}

.single-post .blog-post-top .entry-title {
    font-size: 32px;
    line-height: 1.2;
    margin-bottom: 32px;
    text-align: center;
}

.single-post #primary {
    font-size: 18px;
    line-height: 1.7778;
    padding: 0;
}

.single-post article .entry-content {
    margin-bottom: 80px;
}
.single-post #primary p {
    margin-bottom: 32px;
}
.single-post #primary p > a {
    display: flex;
    justify-content: center;
    color: #d03d30;
    font-weight: bold;
    text-decoration: underline;
}

.single-post .navigation.post-navigation {
    display: none;
}

@media (min-width: 48em) {
	
	.single-post .post-categories > a {
    	margin-right: 1em;
	}
	
	.single-post .blog-post-top .entry-title {
    	font-size: 44px;
	}
	
}


/* Linked Variations */
.iconic-wlv-variations, .iconic-wlv-variations td {
    border: none;
}

.iconic-wlv-variations__selection {
    display: none;
}



.astra-shop-summary-wrap .variation-count {
    font-size: 14px;
    color: #666;
    margin: -.25rem 0 .25rem 0;
}


/* GF file upload text color change for ID #1 */
#gform_1 input[type="file"] {
    color: #FFFFFF;
}

.lampshade-sizing {
    margin: 2rem auto 0 auto;
    max-width: 794px;
}
.lampshade-sizing tbody tr:nth-child(odd) td {
    background-color: #F2F2F2;
}

.ginput_container_fileupload input[type="file"] {
    color: #FFFFFF;
    background: transparent !important;
}
.ginput_container_fileupload img {
    max-width: 100px;
}
.ginput_container_fileupload .success {
    color: #0D0;
}

.promo-area-wrapper {
    margin-bottom: 1rem;
}
.promo-area-wrapper .promo-header {
    font-size: 1rem;
    margin-bottom: 0.75rem;
    line-height: 1.75;
    color: #d03d30;
    font-family: Oxygen;
    font-weight: 700;
}
.promo-area {
    background-color: #F5F5F5;
    padding: 1.5rem 1rem;
    position: relative;
    font-size: 14px;
    border-radius: .25rem;
}
.promo-area.has-icon {
    padding-left: 3rem;
}
.promo-area.has-icon .promo-icon {
    position: absolute;
    top: 1.5rem;
    left: 1rem;
    width: 1.5rem;
}
.promo-area .promo-title {
    font-family: inherit;
    font-size: inherit;
}
.promo-area p {
    margin: 0;
    font-size: inherit;
}
.promo-area p + p {
    margin-top: 0.5rem;
}
.promo-area a {
    color: inherit;
    text-decoration: underline;
}

@media (min-width: 45em) {
    .promo-area {
        padding: 1rem 2.5rem;
    }
    .promo-area.has-icon {
        padding-left: 3rem;
    }
    .promo-area.has-icon .promo-icon {
        top: 1rem;
    }
}